Subject: Bug#909: Greyed out buttons in Session Management.

From: Stefan Baur <[email-masked]>
Date: Fri, 24 Jul 2015 20:29:01 +0200

package: x2goclient
version: 4.0.4.0

Hey,

thanks for trying that out and providing feedback.

Indeed we seem to have a bug there; filing as such.  However, what
will work is to click on the downward-pointing triangle in the lower
right of a session tile (those white things on the right).

@Devs:

Steps to reproduce:
1) Start x2goclient.exe
2) Click on "Session", select "Session Management"
  (Alternatively, press Ctrl+E)
3) Click on a session name

Expected result:
Buttons "Session preferences", "Delete Session", "Create Session Icon
on Desktop" become available

Actual result:
Buttons remain greyed out

Kind Regards,
Stefan

Am 24.07.2015 um 20:20 schrieb Paul Raines:
> 
> 
> Well, I just realized I have the same greyed out button issue on my
> X2GO client on my Windows box at home. So this has nothing to do
> with domains or profile migration.  Basically in Session Management
> all buttons on the right are greyed out except "New Session" no
> matter what session I select on the left.  I am running 4.0.4.0
> 
> -- Paul Raines (http://help.nmr.mgh.harvard.edu)
> 
> 
> 
> On Mon, 20 Jul 2015 4:40pm, Paul Raines wrote:
> 
>> 
>> After logging in as a new user on the machine and starting X2Go
>> client, we did not see the problem with the always greyed out
>> delete button in Session Management.
>> 
>> 
>> -- Paul Raines (http://help.nmr.mgh.harvard.edu)
>> 
>> 
>> 
>> On Sat, 18 Jul 2015 7:36am, Stefan Baur wrote:
>> 
> Am 17.07.2015 um 00:46 schrieb Paul Raines:
> 
>>>>> We deleted the registry key and that wiped all the sessions
>>>>> we had defined. But the UI issue continues.  We create a
>>>>> new session. Then go to the Session Managment dialog and
>>>>> all buttons are greyed out but the top one to create new
>>>>> sessions even after selecting the session on the left.  We
>>>>> can double click on the session on the left to edit.  So
>>>>> the only thing we cannot do someway or other is delete
>>>>> (well, beside wiping out everything in the registry key).
>>>>>> This could have been the case even before the profile
>>>>>> migration and
>>>>> we just didn't notice before.  So that might be a red
>>>>> herring.
>>>>>> Anyway, the user has no need to delete sessions at this
>>>>>> time so is
>>>>> fine with the way things are now.
> 
> This still sounds rather weird.  Could you please create a new
> user account in the same domain and check if that account
> experiences the same issues?
> 
> -Stefan
> 
>>> 
>>> 
>> 
> 
> 
> The information in this e-mail is intended only for the person to
> whom it is addressed. If you believe this e-mail was sent to you in
> error and the e-mail contains patient information, please contact
> the Partners Compliance HelpLine at 
> http://www.partners.org/complianceline . If the e-mail was sent to
> you in error but does not contain patient information, please
> contact the sender and properly dispose of the e-mail.
> 

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243